Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class OQLScanner

java.lang.Object
org.eclipse.jface.text.rules.RuleBasedScanner
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.OQLScanner

All Implemented Interfaces:
  `ICharacterScanner`, `ITokenScanner`

public class OQLScanner extends RuleBasedScanner
Provides color tokens for syntax highlighting.

## Field Summary

### Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner

`EOF`

## Constructor Summary

Constructors
Constructor
Description
`OQLScanner(Color color)`
Assigns keyword coloring rule to the ruleset
`OQLScanner(Color color, String clause)`
Assigns keyword coloring rule to the ruleset

## Method Summary

### Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner

`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, read, setDefaultReturnToken, setRange, setRules, unread`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OQLScanner

public OQLScanner(Color color)
Assigns keyword coloring rule to the ruleset

### OQLScanner

public OQLScanner(Color color, String clause)
Assigns keyword coloring rule to the ruleset